'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = init;

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _package = require('../package.json');

var _package2 = _interopRequireDefault(_package);

var _rewrite = require('./rewrite');

var _rewrite2 = _interopRequireDefault(_rewrite);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var version = _package2.default.version;

_commander2.default.version(version);

_commander2.default.command('convert-bind-attr <path>').description('Replace {{bind-attr attr=bound}} with attr={{bound}}.').option('--single-quote-mustache', 'single quotes in mustache expressions').option('--double-quote-mustache', 'double quotes in mustache expressions (default)').action(function (path, options) {
  path = path || 'app/templates';
  var mustacheQuote = options.singleQuoteMustache ? "'" : '"';
  (0, _rewrite2.default)(path, {
    outputPath: path,
    quotes: { mustache: mustacheQuote },
    formulas: ['convert-bind-attr']
  });
});

_commander2.default.command('convert-each-in <path>').description('Replace {{#each person in people}} with {{#each people as |person|}}.').option('--single-quote-mustache', 'single quotes in mustache expressions').option('--double-quote-mustache', 'double quotes in mustache expressions (default)').action(function (path, options) {
  path = path || 'app/templates';
  var mustacheQuote = options.singleQuoteMustache ? "'" : '"';
  (0, _rewrite2.default)(path, {
    outputPath: path,
    quotes: { mustache: mustacheQuote },
    formulas: ['convert-each-in']
  });
});

_commander2.default.command('rewrite <path>').description('Parse and print. Ideally a noop but will restyle currenly.').action(function (path, options) {
  path = path || 'app/templates';
  var mustacheQuote = options.singleQuoteMustache ? "'" : '"';
  (0, _rewrite2.default)(path, {
    outputPath: path,
    quotes: { mustache: mustacheQuote },
    formulas: []
  });
});

function init(args) {
  _commander2.default.parse(args);
};