'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = convertEachIn;

var _glimmerSyntax = require('glimmer-engine/dist/node_modules/glimmer-syntax');

var _location = require('../utils/location');

var _node = require('../utils/node');

function isEachIn(node) {
  var parts = node.path && node.path.parts || [];
  var params = node.params || [];
  return node.type === 'BlockStatement' && parts[0] === 'each' && params[1] && params[1].parts[0] === 'in';
}

function convertEachIn(ast) {
  var walker = new _glimmerSyntax.Walker(ast);

  walker.visit(ast, function (node) {
    if (isEachIn(node)) {
      var item = node.params[0];
      var separator = node.params[1];
      var offset = (0, _location.locSpan)({
        start: {
          column: separator.loc.end.column + 1,
          line: separator.loc.end.line
        },
        end: item.loc.start
      });
      (0, _node.offsetNode)(ast, offset, { recursive: true, startingAt: item.loc.start });
      delete node.params[0]; // item
      delete node.params[1]; // in
      node.program.blockParams = [item.parts[0]];
    }
  });

  return ast;
}