'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = whitespaceDiff;
exports.locToWhitespace = locToWhitespace;

var _repeat = require('./repeat');

var _repeat2 = _interopRequireDefault(_repeat);

var _location = require('./location');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function whitespaceDiff(a, b) {
  var whitespace = [];
  if (!a || !b) {
    throw Error('Must provide two locations to whitespaceDiff');
  }
  if ((0, _location.locsOverlap)(a, b)) {
    return '';
  }
  var rowDiff = b.start.line - a.end.line;
  whitespace.push((0, _repeat2.default)('\n', rowDiff));
  if (rowDiff > 0) {
    whitespace.push((0, _repeat2.default)(' ', b.start.column));
  } else {
    var colDiff = b.start.column - a.end.column;
    whitespace.push((0, _repeat2.default)(' ', colDiff));
  }
  return whitespace.join('');
}

function locToWhitespace(loc) {
  var whitespace = [];
  if (!loc) {
    throw Error('Must provide a location to locToWhitespace');
  }
  var rowDiff = loc.end.line - loc.start.line;
  whitespace.push((0, _repeat2.default)('\n', rowDiff));
  if (rowDiff > 0) {
    whitespace.push((0, _repeat2.default)(' ', loc.end.column));
  } else {
    var colDiff = loc.end.column - loc.start.column;
    whitespace.push((0, _repeat2.default)(' ', colDiff));
  }
  return whitespace.join('');
}