'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.unescape = exports.escape = undefined;

var _pegjs = require('pegjs');

var _pegjs2 = _interopRequireDefault(_pegjs);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var options = {
  SPACE_CHAR: '\uEFEE',
  TAB_CHAR: '\uEFFE',
  NEWLINE_CHAR: '\uEFFF\n',
  RETURN_CHAR: '\uEEFF'
};

function read(path) {
  return _fs2.default.readFileSync(path, { encoding: 'utf8' });
}

function escape(template) {
  var pegPath = _path2.default.join(__dirname, './preprocessor.pegjs');
  var pegfile = read(pegPath);
  var preprocessor = _pegjs2.default.generate(pegfile);
  return preprocessor.parse(template, options);
}
function unescape(template) {
  var unescaped = template.replace(RegExp(options.SPACE_CHAR, ['g']), '\x20').replace(RegExp(options.TAB_CHAR, ['g']), '\x09').replace(RegExp(options.NEWLINE_CHAR, ['g']), '\x0A').replace(RegExp(options.RETURN_CHAR, ['g']), '\x0D');
  return unescaped;
}

exports.escape = escape;
exports.unescape = unescape;